View Issue Details

IDProjectCategoryView StatusLast Update
0022473mantisbtplug-inspublic2017-04-01 00:13
ReporterrctAssigned Tocommunity 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.2.0 
Target Version2.3.0Fixed in Version2.3.0 
Summary0022473: Avatars should respect image aspect ratio
Description

I'm writing a LDAP avatar plugin and I noticed a little problem: when you use avatars that do not match the Gravatars 80x80px resolution the avatar ratio is not respected in "View Issue Details" because you specify the width and height in the img tag (for example: <img class="avatar" src="/pluginfile.php?file=LdapAvatar/rct--_-20170306125004Z.jpg" alt="rct" width="80" height="80">).
Can you do something like what is done in the timeline?

TagsNo tags attached.

Activities

rct

rct

2017-03-07 02:52

reporter   ~0055937

I've created a PR for this: https://github.com/mantisbt/mantisbt/pull/1044

Related Changesets

MantisBT: master f6229fbe

2017-03-25 14:15:53

Romain CABASSOT


Committer: vboctor Details Diff
Avatars should respect aspect ratio

Fixes 0022473
mod - bugnote_view_inc.php Diff File
mod - core/classes/TimelineEvent.class.php Diff File
mod - core/layout_api.php Diff File
mod - core/prepare_api.php Diff File
mod - core/print_api.php Diff File
mod - css/ace-mantis.css Diff File

MantisBT: master 7bb5e717

2017-03-30 17:07:46

atrol

Details Diff
PHPdoc fixes

Issue 0022473
mod - core/prepare_api.php Diff File

Issue History

Date Modified Username Field Change
2017-03-06 07:54 rct New Issue
2017-03-07 02:52 rct Note Added: 0055937
2017-03-25 14:16 vboctor Changeset attached => MantisBT master f6229fbe
2017-03-25 14:16 vboctor Assigned To => vboctor
2017-03-25 14:16 vboctor Status new => resolved
2017-03-25 14:16 vboctor Resolution open => fixed
2017-03-25 14:16 vboctor Fixed in Version => 2.2.3
2017-03-25 14:18 vboctor Assigned To vboctor => community
2017-03-25 14:18 vboctor Fixed in Version 2.2.3 => 2.3.0
2017-03-25 14:18 vboctor Target Version => 2.3.0
2017-03-25 14:18 vboctor Summary Avatar plugins => Avatars should respect image aspect ratio
2017-03-25 14:18 vboctor Description Updated View Revisions
2017-03-30 17:08 atrol Changeset attached => MantisBT master 7bb5e717
2017-04-01 00:13 vboctoradmin Status resolved => closed